%global pkg_name flask-gravatar
%global mod_name Flask-Gravatar
%global desc Small extension for Flask to make usage of the Gravatar service.

Name:           python-%{pkg_name}
Version:        0.5.0
Release:        %mkrel 10
Summary:        Small extension for Flask to make usage of Gravatar service
License:        BSD-3-Clause
Group:          Development/Python
Url:            https://github.com/zzzsochi/Flask-Gravatar/
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Gravatar/Flask-Gravatar-%{version}.tar.gz
Patch0:         fix-requirements.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

# End of test requirements
BuildArch:      noarch

%description
%{desc}

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:        Small extension for Flask to make usage of Gravatar service

%description -n python%{python3_pkgversion}-%{pkg_name}
%{desc}

%prep
%setup -q -n Flask-Gravatar-%{version}
%patch 0 -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_gravatar

%check
#export LC_CTYPE=en_US@UTF-8
#python3 setup.py test

%files -n python%{python3_pkgversion}-%{pkg_name} -f %{pyproject_files}
%doc AUTHORS CHANGES.rst README.rst
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 0.5.0-10.mga10
+ Revision: 2158238
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 0.5.0-9.mga10
+ Revision: 2130415
- add and use pytest

* Sat Mar 02 2024 papoteur <papoteur> 0.5.0-8.mga10
+ Revision: 2047120
- rebuild for python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 0.5.0-7.mga9
+ Revision: 1838262
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.5.0-6.mga9
+ Revision: 1784907
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.0-5.mga9
+ Revision: 1732387
- Rebuild for python 3.9

* Thu Oct 22 2020 joequant <joequant> 0.5.0-4.mga8
+ Revision: 1637928
- disable tests

* Fri Jul 24 2020 ovitters <ovitters> 0.5.0-3.mga8
+ Revision: 1608642
- get rid of pythonegg

* Thu Jul 23 2020 ovitters <ovitters> 0.5.0-2.mga8
+ Revision: 1608272
- rebuild for removing pythonegg buildrequires in srpm

* Sun Jun 28 2020 joequant <joequant> 0.5.0-1.mga8
+ Revision: 1599770
- add pytest
- imported package python-flask-gravatar

